Index: stable/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableMemberInfo.cs
===================================================================
--- stable/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableMemberInfo.cs	(revision 17097)
+++ stable/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableMemberInfo.cs	(revision 17105)
@@ -41,8 +41,8 @@
     }
     public StorableMemberInfo(StorableAttribute attribute, MemberInfo memberInfo) {
-      DisentangledName = attribute.Name;
+      DisentangledName = string.IsNullOrEmpty(attribute.OldName) ? attribute.Name : attribute.OldName;
       DefaultValue = attribute.DefaultValue;
       MemberInfo = memberInfo;
-      if (!attribute.AllowOneWay)
+      if (string.IsNullOrEmpty(attribute.OldName) && !attribute.AllowOneWay)
         CheckPropertyAccess(memberInfo as PropertyInfo);
     }
Index: stable/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs
===================================================================
--- stable/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 17097)
+++ stable/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 17105)
@@ -34,5 +34,5 @@
   /// <summary>
   /// Intended for serialization of all custom classes. Classes should have the
-  /// <c>[StorableClass]</c> attribute set. The default mode is to serialize
+  /// <c>[StorableType]</c> attribute set. The default mode is to serialize
   /// members with the <c>[Storable]</c> attribute set. Alternatively the
   /// storable mode can be set to <c>AllFields</c>, <c>AllProperties</c>
Index: stable/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs
===================================================================
--- stable/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs	(revision 17097)
+++ stable/HeuristicLab.Persistence/3.3/Default/Xml/XmlParser.cs	(revision 17105)
@@ -288,4 +288,21 @@
       }
     }
+
+    /// <summary>
+    /// Checks if the given file can be opened as <see cref="ZipArchive" />.
+    /// </summary>
+    /// <param name="filename">The filename.</param>
+    /// <returns><see langword="true" /> if the file can be opened as <see cref="ZipArchive" />; otherwise, <see langword="false" />.</returns>
+    public static bool CanOpen(string filename) {
+      try {
+        using (FileStream fs = new FileStream(filename, FileMode.Open, FileAccess.Read)) {
+          using (ZipArchive zip = new ZipArchive(fs)) {
+            return true;
+          }
+        }
+      } catch (InvalidDataException) {
+        return false;
+      }
+    }
   }
 }
Index: stable/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj
===================================================================
--- stable/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj	(revision 17097)
+++ stable/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj	(revision 17105)
@@ -116,10 +116,4 @@
   </Target>
   <ItemGroup>
-    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
-      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
-    </Reference>
-    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.configuration" />
@@ -129,7 +123,4 @@
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
-    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
-      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
-    </Reference>
     <Reference Include="System.IO.Compression" />
     <Reference Include="System.Xml" />
@@ -141,5 +132,4 @@
     <Compile Include="Auxiliary\TypeNameParser.cs" />
     <Compile Include="Auxiliary\ReflectionTools.cs" />
-    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="Core\Configuration.cs" />
@@ -311,3 +301,10 @@
     <Folder Include="Transformers\" />
   </ItemGroup>
+  <ItemGroup>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\bin\HEAL.Attic.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+  </ItemGroup>
 </Project>
Index: stable/HeuristicLab.Persistence/3.3/Plugin.cs.frame
===================================================================
--- stable/HeuristicLab.Persistence/3.3/Plugin.cs.frame	(revision 17097)
+++ stable/HeuristicLab.Persistence/3.3/Plugin.cs.frame	(revision 17105)
@@ -29,8 +29,6 @@
   [Plugin("HeuristicLab.Persistence", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.Persistence-3.3.dll", PluginFileType.Assembly)]
-  [PluginFile("HEAL.Attic.dll", PluginFileType.Assembly)]
-  [PluginFile("Google.Protobuf.dll", PluginFileType.Assembly)]
-  [PluginFile("System.Drawing.Common.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Tracing", "3.3")]
+  [PluginDependency("HeuristicLab.Attic", "1.0")]
   public class HeuristicLabPersistencePlugin : PluginBase { }
 }
Index: stable/HeuristicLab.Persistence/3.3/packages.config
===================================================================
--- stable/HeuristicLab.Persistence/3.3/packages.config	(revision 17097)
+++ 	(revision )
@@ -1,6 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<packages>
-  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
-  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
-  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
-</packages>
